<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: TrajectoryGenerator2DCircle.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_trajectory_generator2_d_circle_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">TrajectoryGenerator2DCircle.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_trajectory_generator2_d_circle_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef TRAJECTORYGENERATOR2DCIRCLE_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define TRAJECTORYGENERATOR2DCIRCLE_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_i_o_device_8h.html">IODevice.h</a>&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_vector2_d_8h.html">Vector2D.h</a>&gt;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">class </span>Matrix;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;}</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">namespace </span>gui {</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">class </span>LayoutPosition;</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;}</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;}</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">class </span>TrajectoryGenerator2DCircle_impl;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">namespace </span>filter {</div>
<div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html">   46</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html">TrajectoryGenerator2DCircle</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_i_o_device.html">core::IODevice</a> {</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;  <a class="code" href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#a103a8785df6c651962d71e5dfa937550">TrajectoryGenerator2DCircle</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1gui_1_1_layout_position.html">gui::LayoutPosition</a> *position,</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;                              std::string name);</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;  <a class="code" href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#ae669ea580ced854d4156ad4ecb7107de">~TrajectoryGenerator2DCircle</a>();</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#a637ce1ebabfb653a493314f707fa3ae4">StartTraj</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_vector2_d.html">core::Vector2Df</a> &amp;start_pos, <span class="keywordtype">float</span> nb_lap = -1);</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#afa7fb1b5ce2b0036b2eae7c1f3f27fb1">StopTraj</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#acad5ff3e2079054372a276e34c08fc2a">FinishTraj</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#a3e99a6f66622cbf661c46e2bf65b70dc">SetCenter</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_vector2_d.html">core::Vector2Df</a> &amp;value);</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#add30dea61dd67cf2cb2457d28fbad35c">SetCenterSpeed</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_vector2_d.html">core::Vector2Df</a> &amp;value);</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#ab4c33fe719831488ce56b833c31dd426">Update</a>(<a class="code" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">core::Time</a> time);</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#ae39218d67b655176c2d9b6679702c9c7">GetPosition</a>(<a class="code" href="classflair_1_1core_1_1_vector2_d.html">core::Vector2Df</a> &amp;point) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#a928d70f190300eb5a545940d2f5417be">GetSpeed</a>(<a class="code" href="classflair_1_1core_1_1_vector2_d.html">core::Vector2Df</a> &amp;point) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;  <a class="code" href="classflair_1_1core_1_1_matrix.html">core::Matrix</a> *<a class="code" href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#a11456b42e6c4f47e289af0997d85f020">GetMatrix</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#aed8b6a1585bfdb6e65dcf7324a05f9e8">IsRunning</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;  <span class="keywordtype">void</span> UpdateFrom(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1io__data.html">core::io_data</a> *data){};</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;  TrajectoryGenerator2DCircle_impl *pimpl_;</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;};</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;} <span class="comment">// end namespace filter</span></div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;<span class="preprocessor">#endif // TRAJECTORYGENERATOR2DCIRCLE_H</span></div>
<div class="ttc" id="classflair_1_1core_1_1io__data_html"><div class="ttname"><a href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:94</div></div>
<div class="ttc" id="classflair_1_1core_1_1_i_o_device_html"><div class="ttname"><a href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></div><div class="ttdoc">Abstract class for input/ouput system. </div><div class="ttdef"><b>Definition:</b> IODevice.h:45</div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1core_1_1_vector2_d_html"><div class="ttname"><a href="classflair_1_1core_1_1_vector2_d.html">flair::core::Vector2D</a></div><div class="ttdoc">Class defining a 2D vector. </div><div class="ttdef"><b>Definition:</b> Vector2D.h:24</div></div>
<div class="ttc" id="namespaceflair_1_1core_html_acc0fa041e08ecf73b2d1d723c339a736"><div class="ttname"><a href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">flair::core::Time</a></div><div class="ttdeci">unsigned long long Time</div><div class="ttdoc">Time definition, in ns. </div><div class="ttdef"><b>Definition:</b> Object.h:55</div></div>
<div class="ttc" id="_vector2_d_8h_html"><div class="ttname"><a href="_vector2_d_8h.html">Vector2D.h</a></div><div class="ttdoc">Class defining a 2D vector. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_trajectory_generator2_d_circle_html_a3e99a6f66622cbf661c46e2bf65b70dc"><div class="ttname"><a href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#a3e99a6f66622cbf661c46e2bf65b70dc">flair::filter::TrajectoryGenerator2DCircle::SetCenter</a></div><div class="ttdeci">void SetCenter(const core::Vector2Df &amp;value)</div><div class="ttdoc">Set center position. </div></div>
<div class="ttc" id="_i_o_device_8h_html"><div class="ttname"><a href="_i_o_device_8h.html">IODevice.h</a></div><div class="ttdoc">Abstract class for input/ouput system. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_trajectory_generator2_d_circle_html_afa7fb1b5ce2b0036b2eae7c1f3f27fb1"><div class="ttname"><a href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#afa7fb1b5ce2b0036b2eae7c1f3f27fb1">flair::filter::TrajectoryGenerator2DCircle::StopTraj</a></div><div class="ttdeci">void StopTraj(void)</div><div class="ttdoc">Stop trajectory. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_trajectory_generator2_d_circle_html_a637ce1ebabfb653a493314f707fa3ae4"><div class="ttname"><a href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#a637ce1ebabfb653a493314f707fa3ae4">flair::filter::TrajectoryGenerator2DCircle::StartTraj</a></div><div class="ttdeci">void StartTraj(const core::Vector2Df &amp;start_pos, float nb_lap=-1)</div><div class="ttdoc">Start trajectory. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_trajectory_generator2_d_circle_html"><div class="ttname"><a href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html">flair::filter::TrajectoryGenerator2DCircle</a></div><div class="ttdoc">Class generating a circle trajectory in 2D. </div><div class="ttdef"><b>Definition:</b> TrajectoryGenerator2DCircle.h:46</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_trajectory_generator2_d_circle_html_a103a8785df6c651962d71e5dfa937550"><div class="ttname"><a href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#a103a8785df6c651962d71e5dfa937550">flair::filter::TrajectoryGenerator2DCircle::TrajectoryGenerator2DCircle</a></div><div class="ttdeci">TrajectoryGenerator2DCircle(const gui::LayoutPosition *position, std::string name)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_trajectory_generator2_d_circle_html_ae39218d67b655176c2d9b6679702c9c7"><div class="ttname"><a href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#ae39218d67b655176c2d9b6679702c9c7">flair::filter::TrajectoryGenerator2DCircle::GetPosition</a></div><div class="ttdeci">void GetPosition(core::Vector2Df &amp;point) const </div><div class="ttdoc">Position. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_trajectory_generator2_d_circle_html_a11456b42e6c4f47e289af0997d85f020"><div class="ttname"><a href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#a11456b42e6c4f47e289af0997d85f020">flair::filter::TrajectoryGenerator2DCircle::GetMatrix</a></div><div class="ttdeci">core::Matrix * GetMatrix(void) const </div><div class="ttdoc">Output matrix. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_trajectory_generator2_d_circle_html_a928d70f190300eb5a545940d2f5417be"><div class="ttname"><a href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#a928d70f190300eb5a545940d2f5417be">flair::filter::TrajectoryGenerator2DCircle::GetSpeed</a></div><div class="ttdeci">void GetSpeed(core::Vector2Df &amp;point) const </div><div class="ttdoc">Speed. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_trajectory_generator2_d_circle_html_aed8b6a1585bfdb6e65dcf7324a05f9e8"><div class="ttname"><a href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#aed8b6a1585bfdb6e65dcf7324a05f9e8">flair::filter::TrajectoryGenerator2DCircle::IsRunning</a></div><div class="ttdeci">bool IsRunning(void) const </div><div class="ttdoc">Is trajectory running? </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_trajectory_generator2_d_circle_html_ae669ea580ced854d4156ad4ecb7107de"><div class="ttname"><a href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#ae669ea580ced854d4156ad4ecb7107de">flair::filter::TrajectoryGenerator2DCircle::~TrajectoryGenerator2DCircle</a></div><div class="ttdeci">~TrajectoryGenerator2DCircle()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_trajectory_generator2_d_circle_html_ab4c33fe719831488ce56b833c31dd426"><div class="ttname"><a href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#ab4c33fe719831488ce56b833c31dd426">flair::filter::TrajectoryGenerator2DCircle::Update</a></div><div class="ttdeci">void Update(core::Time time)</div><div class="ttdoc">Update using provided datas. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_layout_position_html"><div class="ttname"><a href="classflair_1_1gui_1_1_layout_position.html">flair::gui::LayoutPosition</a></div><div class="ttdoc">Class to define a position in a layout on the ground station. </div><div class="ttdef"><b>Definition:</b> LayoutPosition.h:28</div></div>
<div class="ttc" id="classflair_1_1filter_1_1_trajectory_generator2_d_circle_html_acad5ff3e2079054372a276e34c08fc2a"><div class="ttname"><a href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#acad5ff3e2079054372a276e34c08fc2a">flair::filter::TrajectoryGenerator2DCircle::FinishTraj</a></div><div class="ttdeci">void FinishTraj(void)</div><div class="ttdoc">Finish trajectory. </div></div>
<div class="ttc" id="classflair_1_1filter_1_1_trajectory_generator2_d_circle_html_add30dea61dd67cf2cb2457d28fbad35c"><div class="ttname"><a href="classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#add30dea61dd67cf2cb2457d28fbad35c">flair::filter::TrajectoryGenerator2DCircle::SetCenterSpeed</a></div><div class="ttdeci">void SetCenterSpeed(const core::Vector2Df &amp;value)</div><div class="ttdoc">Set center speed. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_matrix_html"><div class="ttname"><a href="classflair_1_1core_1_1_matrix.html">flair::core::Matrix</a></div><div class="ttdoc">Class defining a matrix. </div><div class="ttdef"><b>Definition:</b> Matrix.h:31</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_c640b400eb634d478af9606dd6c9f1e6.html">FlairFilter</a></li><li class="navelem"><a class="el" href="dir_9f4b49da50e680b0f2ceec11232e4cfd.html">src</a></li><li class="navelem"><a class="el" href="_trajectory_generator2_d_circle_8h.html">TrajectoryGenerator2DCircle.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
